Subject: [bug#49610] [PATCH v3] services: guix: Add channels field.

From: Antero Mejr <[email-masked]>
Date: Fri, 26 May 2023 16:29:49 +0000

Simon Tournier <[email-masked]> writes:

> Sorry if I am missing something.  A comment about the consistency of the
> manual. :-)  The section “Invoking guix pull” mentions:
>
> (snip)
>
>> -customized by defining @dfn{channels} in the
>> -@file{~/.config/guix/channels.scm} file.  A channel specifies a URL and branch
>> +customized by defining @dfn{channels} in the @file{/etc/guix/channels.scm} and
>> +@file{~/.config/guix/channels.scm} files.  A channel specifies a URL and branch
>
> I find this wording confusing.  I would suggest:
>
> A channel specifies a URL and branch customized by defining
> @dfn{channels} in the @file{~/.config/guix/channels.scm} file, and/or
> the @file{/etc/guix/channels.scm} file and/or the built-in default
> specified in the @code{%default-channels} variable.  Guix honors the
> channels file in that previous order (@xref{Invoking guix pull}).
>
> or something like that.  Keeping in mind that this part is not Guix
> System specific.

Updated to use that wording in v4. I put the documentation update for
the Channels section into a separate patch, as that change isn't related
to the guix-configuration changes.